Page MenuHomePhabricator

Refactor/rename container, pack, ... interface
Closed, ResolvedPublic

Description

Don't forget to figure out that set of interface for widgets

cedric added a subscriber: eunue.Mar 30 2017, 3:14 AM
cedric raised the priority of this task from TODO to High.Jul 10 2017, 3:40 PM
jpeg added a comment.Aug 2 2017, 4:21 AM

I've realised that the Efl.Container interface is stupid because:

  • The name is stupid. Its methods and prefix are "content" not container :)
  • It's a bad mix between single slot APIs (content_set/get/unset) and multiple children APIs (iterate, count, ...)

So this should be split into 2 interfaces. One for single slot (used in efl_content_set(efl_part(layout, "part"), subobj)) and the other used in box, table, etc...
I'm just not sure about the naming.

jpeg added a comment.Nov 20 2017, 2:13 AM

Not sure Efl.Container and Efl.Content are the proper names, but the split was necessary.
Many content APIs are also found in Efl.Pack, Efl.Pack_Linear and Efl.Pack_Grid.
There will also be content APIs with Item interface, as mentioned in T6360.

jpeg added a comment.Jan 17 2018, 11:55 PM

I think I made a mistake at first by inheriting Pack_Grid from Pack_Linear... it's probably not a good idea after all (removing that inheritance could simplify the code).
We could also have a better namespace? But I'm not sure.
Any specific issue here, @cedric ?

jpeg lowered the priority of this task from High to Pending on user input.Jan 18 2018, 12:34 AM
jpeg removed jpeg as the assignee of this task.Jan 30 2018, 11:22 PM
jpeg added a subscriber: jpeg.
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:58 AM
bu5hm4n closed this task as Resolved.Jun 11 2018, 8:03 AM
bu5hm4n edited projects, added efl; removed Restricted Project.
bu5hm4n claimed this task.
bu5hm4n added a subscriber: bu5hm4n.

I think this is done. If not, reopen.

Diffusion added a commit: Restricted Diffusion Commit.Aug 20 2018, 1:01 PM